% 0.2
Theobic = [-1339,-2951,-2676,-2581,-3869,-2281];
MTbic   = [-1375,-3048,-2863,-2712,-4134,-2904];
MTtps   = [63,101,89,216,534,773];
SEMbic  = [-1375,-3084,-2846,-2714,-4041,-2832];
SEMtps  = [136,540,282,660,1898,12393];
STbic   = [-1375,-3097,-2729,-2698,-4003,-2713]; %1421 1er
STtps   = [70,550,356,885,2855,9633]; %187 1er


% 0.3
%Theobic = [-1339,-2951,-2676,-2581,-3869,-2281];
%MTbic   = [-1374,-3034,-2853,-2708,-4121,-2885];
%MTtps   = [69,135,103,217,923,796];
%SEMbic  = [-1404,-3099,-2847,-2695,-3998,-2639];
%SEMtps  = [174,461,325,565,3123,16476];
%STbic   = [-1421,-3113,-2821,-2722,-4035,-2552];
%STtps   = [191,466,595,736,4482,11266];

figure,
plot(...
log10(MTtps(1)), -MTbic(1)/Theobic(1), 'bo', log10(SEMtps(1)), -SEMbic(1)/Theobic(1), 'go',...
log10(MTtps(2)), -MTbic(2)/Theobic(2), 'b^', log10(SEMtps(2)), -SEMbic(2)/Theobic(2), 'g^',...
log10(MTtps(3)), -MTbic(3)/Theobic(3), 'b+', log10(SEMtps(3)), -SEMbic(3)/Theobic(3), 'g+',...
log10(MTtps(4)), -MTbic(4)/Theobic(4), 'bv', log10(SEMtps(4)), -SEMbic(4)/Theobic(4), 'gv',...
log10(MTtps(5)), -MTbic(5)/Theobic(5), 'bs', log10(SEMtps(5)), -SEMbic(5)/Theobic(5), 'gs',...
log10(MTtps(6)), -MTbic(6)/Theobic(6), 'bd', log10(SEMtps(6)), -SEMbic(6)/Theobic(6), 'gd',...
'Linewidth', 4);
title('Performances MWST-EM et AMS-EM');
xlabel('log10 tps de calcul');
ylabel('- BIC / BIC original');
axis([1.6 4.2 -1.28 -1]);

figure,
plot(...
log10(STtps(1)), -STbic(1)/Theobic(1), 'ro', log10(SEMtps(1)), -SEMbic(1)/Theobic(1), 'go',...
log10(STtps(2)), -STbic(2)/Theobic(2), 'r^', log10(SEMtps(2)), -SEMbic(2)/Theobic(2), 'g^',...
log10(STtps(3)), -STbic(3)/Theobic(3), 'r+', log10(SEMtps(3)), -SEMbic(3)/Theobic(3), 'g+',...
log10(STtps(4)), -STbic(4)/Theobic(4), 'rv', log10(SEMtps(4)), -SEMbic(4)/Theobic(4), 'gv',...
log10(STtps(5)), -STbic(5)/Theobic(5), 'rs', log10(SEMtps(5)), -SEMbic(5)/Theobic(5), 'gs',...
log10(STtps(6)), -STbic(6)/Theobic(6), 'rd', log10(SEMtps(6)), -SEMbic(6)/Theobic(6), 'gd',...
'Linewidth', 4);
title('Performances AMS-EM et AMS-EM+T');
xlabel('log10 tps de calcul');
ylabel('- BIC / BIC original');
axis([1.6 4.2 -1.28 -1]);

