function theta = bnet_unpak(bnet)

% theta = bnet_unpak(bnet)
%  Returns all conditional probabilities from bnet in a column vector.

dim = length(bnet.CPD);
theta = [];
for d=1:dim
    s = struct(bnet.CPD{d});
    theta = [theta; s.CPT(:)];
end%for

end%function